#include "NewPopup.h"
#include "qdebug.h"
#include "qpushbutton.h"

#include <OcctQtViewer.h>
#include <qboxlayout.h>

NewPopup::NewPopup(QWidget *parent)
    : QDialog(parent)
{
    setWindowFlags(Qt::Dialog | Qt::FramelessWindowHint);
//    setModal(true);
//    setAttribute(Qt::WA_DeleteOnClose);

    resize(400, 400);
    move(200,200);
    setStyleSheet("background-color: white; border: 2px solid black;");

    auto closeButton = new QPushButton("close");
    myViewer = new OcctQtViewer();
    layout = new QVBoxLayout (this);
    layout->setDirection (QBoxLayout::BottomToTop);
    layout->setAlignment (Qt::AlignBottom);
    layout->addWidget(myViewer);
    layout->addWidget(closeButton);

    connect(closeButton, &QPushButton::clicked, this, &NewPopup::onDialogButtonClicked);
}

void NewPopup::onDialogButtonClicked() {
    qDebug() << "Close popup button clicked!";
    close();
}
